Is my Mac compatible for Yosemite ? Check all compatible Macbooks and iMacs

Yosemite is the latest version of OS X operating system as on today (31st Oct 2014). It comes with stunning features than its older versions. Improved design and better Apps are comes with Yosemite preinstalled. Before yo start upgrading to Yosemite, You will ask yourself Is my Mac compatible for Yosemite ?. You are on the right page. Below is the complete list of compatible hardwares which can run Yosemite.

Is my Mac compatible for Yosemite ? Here is the ListYosemite compatibility

  • iMac (Mid 2007 or newer)
  • MacBook (Late 2008 Aluminum, or Early 2009 or newer)
  • MacBook Pro (Mid/Late 2007 or newer)
  • MacBook Air (Late 2008 or newer)
  • Mac mini (Early 2009 or newer)
  • Mac Pro (Early 2008 or newer)
  • Xserve (Early 2009)

Need to know which model is your Mac ? Click on the Apple menu on the left top, and then click “About This Mac”, and then click on “More info”. Now you can see your Mac model (Im using Mid 2012)

General hardware requirements for Yosemite

  • OS X version 10.6.8 or newer
  • Minimum 2GB of memory
  • 8GB of available free space on Hard disk

Installing Yosemite With an 8GB USB drive

You can easily make a bootable USB installer for installing Yosemite on your Mac.

Source Apple